Subject: bug#71889: [PATCH] nnatom: Ensure some parsed values are one line

From: Daniel Semyonov <[email-masked]>
Date: Wed, 03 Jul 2024 00:23:43 +0300

>>>>> Daniel Semyonov writes:

    > Attached is a patch which ensures some values parsed by nnatom from Atom
    > feeds only contain a single line of whitespace-trimmed text.

Just to clarify, this patch is intended to ensure values parsed from
Atom feeds can be used by Gnus without issues.
Without this patch feeds which contain multiple lines of text in some
nodes can cause strange behavior in Gnus (though I haven't encountered
any actual feeds like this, I had to construct one).

This issue exists in both emacs-30 and the master branch.